Loading...
Searching...
No Matches
OgreShaderPrerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreRTShaderExports.h"`
`#include "OgreRTShaderConfig.h"`

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Typedefs

typedef shared_ptr< Parameter > | Ogre::RTShader::ParameterPtr
typedef GeneralAllocatedObject | Ogre::RTShaderSystemAlloc
typedef std::vector< ParameterPtr > | Ogre::RTShader::ShaderParameterList
typedef shared_ptr< UniformParameter > | Ogre::RTShader::UniformParameterPtr

## Enumerations

enum | Ogre::RTShader::VSOutputCompactPolicy { Ogre::RTShader::VSOCP_LOW = 0 , Ogre::RTShader::VSOCP_MEDIUM = 1 , Ogre::RTShader::VSOCP_HIGH = 2 }